<div *ngIf="reward$ | async as rewards">
    <button
        type="button"
        class="close"
        aria-label="Close"
        (click)="closeModal()"
    >
        <span aria-hidden="true">&times;</span>
    </button>
    <div
        class="modal-body new-badge"
        (click)="clicked('background')"
    >
        <h5 i18n="Congrats@@congrats">Félicitations !</h5>
        <h6 i18n="New reward message@@newRewardMessage">
            { +rewards?.length, plural, =1 { Vous venez d&apos;obtenir
            ce badge } other { Vous venez d&apos;obtenir ces badges } }
        </h6>
        <p>
            <img
                [ngbTooltip]="b.type + b.name"
                *ngFor="let b of rewards"
                [src]="mainConfig.API_ENDPOINT + b.url"
                [alt]="b.name"
            />
        </p>
    </div>
</div>
